#define LED_PIN 4
#define SENSOR_PIN A3
#define SAMPLE_SIZE 10
#define THRESHOLD 100


#include <SoftwareSerial.h>

SoftwareSerial softSerial(2, 0);
bool lastState = false;

void setup() {
  softSerial.begin(9600);
  pinMode(LED_PIN, OUTPUT);
}

void loop() {
  
  int readingOff = 0;
  int readingOn = 0;
  
  for (int i = 0; i < SAMPLE_SIZE; i++)
  {
    readingOff += analogRead(SENSOR_PIN);
    digitalWrite(LED_PIN, HIGH);
    readingOn += analogRead(SENSOR_PIN);
    digitalWrite(LED_PIN, LOW);
  }
  
  int readingOff_Avg = readingOff / SAMPLE_SIZE;
  int readingOn_Avg = readingOn / SAMPLE_SIZE;
  int difference = readingOn_Avg - readingOff_Avg;
  
  bool state;
  
  if (difference >= THRESHOLD) { state = true; } else { state = false; }

  if (state != lastState)
  {
    if (state)   { softSerial.println("On"); }
    else         { softSerial.println("Off"); }
  }
  
  lastState = state; 
}
